import request from "../util/request";
import func from "../util/func";

export const faceRegister = (faceVo, file) => {
  if (func.isUndefined(file)) {
    return
  }
  let formData = new FormData();
  formData.append('file', file);
  formData.append('faceVo', new Blob([JSON.stringify(faceVo)], { type: 'application/json' }));
  return request({
    url: '/sis/api/security-desk/face/register',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: formData
  })
};

export const faceMatch = (file) => {
  if (func.isUndefined(file)) {
    return
  }
  let formData = new FormData();
  formData.append('file', file);
  return request({
    url: '/sis/api/security-desk/face/match',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: formData
  })
};
