
import request from "../util/request";
import website from "../config/website";
import func from "../util/func";
export const userAuth = (data) => {
  return request({
    url: '/sis/api/security-auth/app/auth',
    method: 'post',
    data: data
  })
}
//获取待办列表
export const getBacklog = (dataType, type) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/backlog`,
    method: 'get',
    params: {
      dataType,
      type
    }
  })
}

//获取教育培训和应急演练待办详情
export const getDetail = (id) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/${id}`,
    method: 'get'
  })
}

//教育培训和应急演练待办提报
export const save = (params) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/handIn`,
    method: 'post',
    head: {
      'Content-Type':'multipart/form-data'
    },
    data: params
  })
}
//发起设备检查
export const createDeviceInsp = (params) => {
  return request({
    url: `/sis/api/${website.hostAddress}/deviceinspection/create`,
    method: 'post',
    data: params
  })
}
//获取设备信息详情
export const getDevice = (id) => {
  return request({
    url: `/sis/api/${website.hostAddress}/device/detail/${id}`,
    method: 'get'
  })
}
//获取设备检查待办详情
export const getDeviceDetail = (id) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/device/${id}`,
    method: 'get'
  })
}


//获取设备检查/待办项的信息
export const getDeviceItemDetail = (id,type) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/device/item`,
    method: 'get',
    params: {
      id,
      type
    }
  })
}


//设备检查待办提报
export const deviceHandin = (params) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/device/handIn`,
    method: 'post',
    data: params
  })
}


//设备整改待办提报
export const deviceRectifyHandin = (params) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/device/rectify`,
    method: 'post',
    data: params
  })
}


//获取设备整改待办详情
export const getDeviceRectifyDetail = (id) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/device/rectify/${id}`,
    method: 'get'
  })
}

//获取设备持续整改待办详情
export const getDeviceContinuedDetail = (id) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/continued/rectify/${id}`,
    method: 'get'
  })
}

//  单个文件上传
export const singleFileUpload = (query,data) => {
  return request({
    url: `/sis/api/security-desk/upload/single`,
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    params: query,
    data
  })
}
// 多个文件上传
export const multiFileUpload = (query,data) => {
 return request({
   url: `/sis/api/security-desk/upload/list`,
   method: 'post',
   headers: { 'Content-Type': 'multipart/form-data' },
   params: query,
   data
 })
}

//设备持续整改待办提报
export const continuedRectifyHandin = (params) => {
  return request({
    url: `/sis/api/${website.hostAddress}/app/continued/rectify/handIn`,
    method: 'post',
    data: params
  })
}

export const saveHandoverWithFace = (faceVo, file) => {
  if (func.isUndefined(file)) {
    return
  }
  let formData = new FormData();
  formData.append('file', file);
  formData.append('faceVo', new Blob([JSON.stringify(faceVo)], { type: 'application/json' }));
  return request({
    url: `/sis/api/${website.hostAddress}/work/handover/save-with-face`,
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: formData
  })
};

export const handoverFaceMatch = (file) => {
  if (func.isUndefined(file)) {
    return
  }
  let formData = new FormData();
  formData.append('file', file);
  return request({
    url: `/sis/api/${website.hostAddress}/work/handover/face-match`,
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: formData
  })
};

// 获取影像平台附件链接
export const getFileURL = (busiBeginDate,contentId) => {
  return request({
    url: `/api/security-desk/upload/fileURL`,
    method: 'get',
    params: {
      busiBeginDate,contentId
    },
  })
}