/**
 * 路由
 * 路由统一使用name进行跳转
 */
import Vue from 'vue'
import VueRouter from 'vue-router'
import pages from './pages'

Vue.use(VueRouter);

const routes = new VueRouter({
    base: '/sis/',
    mode: 'history',
    scrollBehavior: () => ({ y: 0 }),
    routes: pages
});

routes.beforeEach((to, from, next) => {
    if (to.matched.some(record => record.meta.requiresAuth)) {
        if (!sessionStorage.getItem('token')) {
            next({
                path: '/login',
                query: to.query
            })
        } else {
            next()
        }
    } else {
        next()
    }
});

export default routes;
