import axios from "axios";
import qs from 'qs'
import { Base64 } from 'js-base64';
import store from "../store";

const http = axios.create({
    // baseURL: 'http://127.0.0.1:8000',
    timeout: 1000 * 60,
    withCredentials: true
});
const website = {
    key: 'saber',//配置主键,目前用于存储
    clientId: 'saber', // 客户端id
    clientKey: 'saber_secret',
    tenantMode: false, // 是否开启租户模式
    tenantId: "000000", // 管理组租户编号
    tokenTime: 3000,
    tokenHeader: 'Blade-Auth',
};

//request拦截
http.interceptors.request.use(config => {
    config.headers[website.tokenHeader] = store.state.user.token || sessionStorage.getItem('token')
    config.headers['Authorization'] = `Basic ${Base64.encode(`${website.clientId}:${website.clientKey}`)}`;
    if (/^application\/x-www-form-urlencoded/.test(config.headers['Content-Type'])) {
        config.data = qs.stringify(config.data)
    }
    return config
}, error => {
    return Promise.reject(new Error(error))
});


//response拦截
http.interceptors.response.use(
    res => {
        const status = res.data.code || res.status;
        const message = res.data.msg || res.data.error_description || '未知错误';
        if (status !== 200) {
            return Promise.reject(message)
        }
        return res
    },
    error => {
        console.log(JSON.stringify(error));
        const message = error.response.data.error_description || error.message || '未知错误';
        return Promise.reject(message)
    });

export default http
